Bug 1018360 - fresh f19 fails to install openstack-dashboard
fresh f19 fails to install openstack-dashboard
Status: CLOSED DUPLICATE of bug 978647
Product: Fedora
Classification: Fedora
Component: python-django-horizon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 14:49 EDT by Steven Dake
Modified: 2016-04-26 18:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 16:27:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2013-10-11 14:49:27 EDT
Description of problem:
Using a fresh install of Fedora 19, openstack-dashboard fails to install.

Version-Release number of selected component (if applicable):
[sdake@localhost ~]$ yum info openstack-dashboard
Loaded plugins: langpacks, refresh-packagekit
Available Packages
Name        : openstack-dashboard
Arch        : noarch
Version     : 2013.1.3
Release     : 2.fc19
Size        : 975 k
Repo        : updates/19/x86_64
Summary     : Openstack web user interface reference implementation
URL         : http://horizon.openstack.org/
License     : ASL 2.0 and BSD
Description : Openstack Dashboard is a web user interface for Openstack. The package
            : provides a reference implementation using the Django Horizon project,
            : mostly consisting of JavaScript and CSS to tie it altogether as a standalone
            : site.


How reproducible:
100%

Steps to Reproduce:
1. install Fedora 19 using Virtual Machine Manager from http://download.fedoraproject.org/pub/fedora/linux/releases/19/Fedora/x86_64/iso/Fedora-19-x86_64-DVD.iso
2. sudo yum install openstack-dashboard
3.

Actual results:
[sdake@localhost ~]$ sudo yum install openstack-dashboard
[sudo] password for sdake: 
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package openstack-dashboard.noarch 0:2013.1.3-2.fc19 will be installed
--> Processing Dependency: python-django-horizon >= 2013.1.3 for package: openstack-dashboard-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-django-openstack-auth for package: openstack-dashboard-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-django-compressor for package: openstack-dashboard-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-django-appconf for package: openstack-dashboard-2013.1.3-2.fc19.noarch
--> Processing Dependency: mod_wsgi for package: openstack-dashboard-2013.1.3-2.fc19.noarch
--> Processing Dependency: httpd for package: openstack-dashboard-2013.1.3-2.fc19.noarch
--> Running transaction check
---> Package httpd.x86_64 0:2.4.6-2.fc19 will be installed
--> Processing Dependency: httpd-tools = 2.4.6-2.fc19 for package: httpd-2.4.6-2.fc19.x86_64
--> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-2.4.6-2.fc19.x86_64
--> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-2.4.6-2.fc19.x86_64
---> Package mod_wsgi.x86_64 0:3.4-8.fc19 will be installed
---> Package python-django-appconf.noarch 0:0.6-1.fc19 will be installed
--> Processing Dependency: Django for package: python-django-appconf-0.6-1.fc19.noarch
---> Package python-django-compressor.noarch 0:1.3-1.fc19 will be installed
--> Processing Dependency: python-versiontools for package: python-django-compressor-1.3-1.fc19.noarch
---> Package python-django-horizon.noarch 0:2013.1.3-2.fc19 will be installed
--> Processing Dependency: python-django < 1.5 for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-novaclient >= 2012.1 for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: pytz for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-swiftclient for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-quantumclient for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-keystoneclient for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-glanceclient for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-dateutil for package: python-django-horizon-2013.1.3-2.fc19.noarch
--> Processing Dependency: python-cinderclient for package: python-django-horizon-2013.1.3-2.fc19.noarch
---> Package python-django-openstack-auth.noarch 0:1.0.11-1.fc19 will be installed
--> Running transaction check
---> Package apr.x86_64 0:1.4.6-6.fc19 will be installed
---> Package apr-util.x86_64 0:1.4.1-8.fc19 will be installed
---> Package httpd-tools.x86_64 0:2.4.6-2.fc19 will be installed
---> Package python-cinderclient.noarch 0:1.0.3-1.fc19 will be installed
--> Processing Dependency: python-prettytable for package: python-cinderclient-1.0.3-1.fc19.noarch
--> Processing Dependency: python-httplib2 for package: python-cinderclient-1.0.3-1.fc19.noarch
---> Package python-dateutil.noarch 0:1.5-6.fc19 will be installed
---> Package python-django.noarch 0:1.5.4-1.fc19 will be installed
--> Processing Dependency: python-simplejson for package: python-django-1.5.4-1.fc19.noarch
---> Package python-django14.noarch 0:1.4.8-1.fc19 will be installed
---> Package python-glanceclient.noarch 1:0.9.0-2.fc19 will be installed
--> Processing Dependency: python-warlock for package: 1:python-glanceclient-0.9.0-2.fc19.noarch
---> Package python-keystoneclient.noarch 1:0.2.3-7.fc19 will be installed
--> Processing Dependency: python-requests >= 0.8.8 for package: 1:python-keystoneclient-0.2.3-7.fc19.noarch
--> Processing Dependency: python-oslo-config >= 1.1.0 for package: 1:python-keystoneclient-0.2.3-7.fc19.noarch
--> Processing Dependency: python-iso8601 >= 0.1.4 for package: 1:python-keystoneclient-0.2.3-7.fc19.noarch
--> Processing Dependency: python-webob for package: 1:python-keystoneclient-0.2.3-7.fc19.noarch
--> Processing Dependency: python-keyring for package: 1:python-keystoneclient-0.2.3-7.fc19.noarch
---> Package python-novaclient.noarch 1:2.13.0-1.fc19 will be installed
---> Package python-quantumclient.noarch 2:2.2.1-3.fc19 will be installed
--> Processing Dependency: python-cliff for package: 2:python-quantumclient-2.2.1-3.fc19.noarch
--> Processing Dependency: pyparsing for package: 2:python-quantumclient-2.2.1-3.fc19.noarch
---> Package python-swiftclient.noarch 0:1.4.0-1.fc19 will be installed
---> Package python-versiontools.noarch 0:1.9.1-4.fc19 will be installed
---> Package pytz.noarch 0:2012d-4.fc19 will be installed
--> Running transaction check
---> Package pyparsing.noarch 0:1.5.6-8.fc19 will be installed
---> Package python-cliff.noarch 0:1.4.4-1.fc19 will be installed
--> Processing Dependency: python-cmd2 for package: python-cliff-1.4.4-1.fc19.noarch
---> Package python-httplib2.noarch 0:0.7.7-2.fc19 will be installed
---> Package python-iso8601.noarch 0:0.1.4-6.fc19 will be installed
---> Package python-keyring.noarch 0:0.7-3.fc19 will be installed
---> Package python-oslo-config.noarch 1:1.1.0-1.fc19 will be installed
---> Package python-prettytable.noarch 0:0.6.1-2.fc19 will be installed
---> Package python-requests.noarch 0:1.2.3-5.fc19 will be installed
--> Processing Dependency: python-urllib3 >= 1.7 for package: python-requests-1.2.3-5.fc19.noarch
---> Package python-simplejson.x86_64 0:3.2.0-1.fc19 will be installed
---> Package python-warlock.noarch 0:0.4.0-3.fc19 will be installed
--> Processing Dependency: python-jsonschema for package: python-warlock-0.4.0-3.fc19.noarch
---> Package python-webob.noarch 0:1.2.3-4.fc19 will be installed
--> Running transaction check
---> Package python-cmd2.noarch 0:0.6.4-7.fc19 will be installed
---> Package python-jsonschema.noarch 0:1.3.0-1.fc19 will be installed
---> Package python-urllib3.noarch 0:1.7-3.fc19 will be installed
--> Processing Dependency: python-six for package: python-urllib3-1.7-3.fc19.noarch
--> Processing Dependency: python-backports-ssl_match_hostname for package: python-urllib3-1.7-3.fc19.noarch
--> Running transaction check
---> Package python-backports-ssl_match_hostname.noarch 0:3.4.0.1-1.fc19 will be installed
--> Processing Dependency: python-backports for package: python-backports-ssl_match_hostname-3.4.0.1-1.fc19.noarch
---> Package python-six.noarch 0:1.3.0-1.fc19 will be installed
--> Running transaction check
---> Package python-backports.x86_64 0:1.0-3.fc19 will be installed
--> Processing Conflict: python-django14-1.4.8-1.fc19.noarch conflicts python-django >= 1.5
--> Finished Dependency Resolution
Error: python-django14 conflicts with python-django-1.5.4-1.fc19.noarch
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
package installs properly

Additional info:
Comment 1 Steven Dake 2013-10-11 14:52:32 EDT
blocks packstack from installing on F19 in Bug #10198324
Comment 2 Matthias Runge 2013-10-11 16:27:01 EDT
as noted earlier, this is a yum bug, there's nothing I can do about it.
This issue only occurs in this combination of packages.

A workaround is, to install python-django14 before running packstack.

*** This bug has been marked as a duplicate of bug 978647 ***

Note You need to log in before you can comment on or make changes to this bug.